<div class="manage-editors-campaign-contribution-button" {{did-insert this.setup}} ...attributes>
  <Input::Options::Frame @title={{capitalize (t "data source")}} ...attributes>
    <label for="{{this.elementId}}-model-id">{{capitalize (t "name")}}</label>
    <Input::RecordId class="model-id" id="{{this.elementId}}-model-id" @model="campaign" @value={{this.source.id}} @onChange={{this.changeSource}} />
  </Input::Options::Frame>

  <Input::Options::Frame class="buttons-section" @title={{capitalize (t "button")}}>
    <Input::Options::Panel @space={{@space}} @config={{this.buttonConfig}} @value={{this.button}} @onChange={{this.changeButton}} />
  </Input::Options::Frame>

  <Input::Options::Frame class="buttons-section" @title={{capitalize (t "style")}}>
    <Editor::Properties::ButtonStyleOptions @space={{@space}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} @value={{this.buttonOptions}} @onChange={{this.changeButtonOptions}} />
  </Input::Options::Frame>
</div>